VM_MAP_SIMPLIFY_ENTRY(9)

NAME
vm_map_simplify_entry - simplify a vm_map_entry

SYNOPSIS
#include <sys/param.h>
#include <vm/vm.h>
#include <vm/vm_map.h>
void
vm_map_simplify_entry(vm_map_t map, vm_map_entry_t entry);

DESCRIPTION
The vm_map_simplify_entry() function simplifies the given entry by merging with either neighbour. The map must be locked upon entry.

This function also has the ability to merge with both neighbours.

This function guarantees that the passed entry remains valid, although possibly extended.

SEE ALSO
vm_map(9), vm_map_insert(9), vm_map_remove(9)

AUTHORS
This manual page was written by Bruce M Simpson <bms@spc.org>.